Package net.sf.saxon.expr.instruct

## Class AttributeSet

- java.lang.Object
- - net.sf.saxon.expr.instruct.Actor
  - - net.sf.saxon.expr.instruct.AttributeSet

- All Implemented Interfaces:
    `javax.xml.transform.SourceLocator`, `ExpressionOwner`, `Location`, `org.xml.sax.Locator`

      public class AttributeSet
      extends Actor

  The compiled form of an xsl:attribute-set element in the stylesheet.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.instruct.Actor

      `body`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeSet()` | Create an empty attribute set

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `expand​(Outputter output, XPathContext context)` | Evaluate an attribute set
    `void` | `export​(ExpressionPresenter presenter)` | Diagnostic print of expression structure.
    `int` | `getFocusDependencies()` | Determine whether the attribute set has any dependencies on the focus
    `StructuredQName` | `getObjectName()` | Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc.
    `SymbolicName` | `getSymbolicName()` | Get the symbolic name of the component
    `boolean` | `isDeclaredStreamable()` | Ask whether this attribute set is declared to be streamable
    `void` | `setDeclaredStreamable​(boolean value)` | Say whether this attribute set is declared to be streamable
    `void` | `setName​(StructuredQName attributeSetName)` | Set the name of the attribute-set
    `void` | `setStackFrameMap​(SlotManager stackFrameMap)` | Set the stack frame map which allocates slots to variables declared in this attribute set

    - ### Methods inherited from class net.sf.saxon.expr.instruct.Actor

      `allocateAllBindingSlots, allocateBindingSlotsRecursive, getBody, getChildExpression, getColumnNumber, getComponentName, getDeclaredVisibility, getDeclaringComponent, getLineNumber, getLocation, getPackageData, getProperties, getProperty, getPublicId, getRetainedStaticContext, getStackFrameMap, getSystemId, getTracingTag, isExportable, makeDeclaringComponent, obtainDeclaringComponent, saveLocation, setBody, setChildExpression, setColumnNumber, setDeclaredVisibility, setDeclaringComponent, setLineNumber, setPackageData, setRetainedStaticContext, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeSet

          public AttributeSet()

      Create an empty attribute set

  - ### Method Detail

    - #### getSymbolicName

          public SymbolicName getSymbolicName()

      Get the symbolic name of the component
      Specified by:
        `getSymbolicName` in class `Actor`
      Returns:
        the symbolic name

    - #### setName

          public void setName​(StructuredQName attributeSetName)

      Set the name of the attribute-set
      Parameters:
        `attributeSetName` - the name of the attribute-set

    - #### setDeclaredStreamable

          public void setDeclaredStreamable​(boolean value)

      Say whether this attribute set is declared to be streamable
      Parameters:
        `value` - true if the attribute streamable="yes" is present

    - #### isDeclaredStreamable

          public boolean isDeclaredStreamable()

      Ask whether this attribute set is declared to be streamable
      Returns:
        true if the attribute streamable="yes" is present

    - #### setStackFrameMap

          public void setStackFrameMap​(SlotManager stackFrameMap)

      Set the stack frame map which allocates slots to variables declared in this attribute set
      Overrides:
        `setStackFrameMap` in class `Actor`
      Parameters:
        `stackFrameMap` - the stack frame map

    - #### getFocusDependencies

          public int getFocusDependencies()

      Determine whether the attribute set has any dependencies on the focus
      Returns:
        the dependencies

    - #### expand

          public void expand​(Outputter output,
                             XPathContext context)
                      throws XPathException

      Evaluate an attribute set
      Parameters:
        `context` - the dynamic context
      Throws:
        `XPathException` - if any failure occurs

    - #### getObjectName

          public StructuredQName getObjectName()

      Get a name identifying the object of the expression, for example a function name, template name, variable name, key name, element name, etc. This is used only where the name is known statically.

    - #### export

          public void export​(ExpressionPresenter presenter)
                      throws XPathException

      Diagnostic print of expression structure. The abstract expression tree is written to the supplied outputstream.
      Specified by:
        `export` in class `Actor`
      Parameters:
        `presenter` - the expression presenter used to display the structure
      Throws:
        `XPathException`